Package it.ernytech.tdlib

## Class TdApi.InputMessageSticker

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageSticker

Enclosing class:
  TdApi

    public static class TdApi.InputMessageSticker
    extends TdApi.InputMessageContent

A sticker message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `height` Sticker height.
`TdApi.InputFile` `sticker` Sticker to be sent.
`TdApi.InputThumbnail` `thumbnail` Sticker thumbnail, if available.
`int` `width` Sticker width.

### Constructor Summary

Constructors
`InputMessageSticker()` Default constructor.
`InputMessageSticker​(TdApi.InputFile sticker, TdApi.InputThumbnail thumbnail, int width, int height)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### sticker

    public TdApi.InputFile sticker

Sticker to be sent.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Sticker thumbnail, if available.

#### width

    public int width

Sticker width.

#### height

    public int height

Sticker height.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageSticker

    public InputMessageSticker()

Default constructor.

#### InputMessageSticker

    public InputMessageSticker​(TdApi.InputFile sticker,
                               TdApi.InputThumbnail thumbnail,
                               int width,
                               int height)

Constructor for initialization of all fields.

Parameters:
  `sticker` - Sticker to be sent.
  `thumbnail` - Sticker thumbnail, if available.
  `width` - Sticker width.
  `height` - Sticker height.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR